Name:        libbytesize
Version:     0.1
Release:     2%{?dist}
Summary:     A library for working with sizes in bytes
License:     LGPLv2+
URL:         https://github.com/rhinstaller/libbytesize
Source0:     https://github.com/rhinstaller/libbytesize/archive/%{name}-%{version}.tar.gz

%define realname bytesize

BuildRequires: glib2-devel
BuildRequires: gobject-introspection-devel
BuildRequires: gmp-devel
BuildRequires: mpfr-devel
BuildRequires: gettext-devel
BuildRequires: python-devel
BuildRequires: python3-devel
BuildRequires: gtk-doc
BuildRequires: glib2-doc

Requires: gobject-introspection

%description
The libbytesize is a C library with GObject introspection support that
facilitates work with sizes in bytes. Be it parsing the input from users or
producing a nice human readable representation of a size in bytes this library
takes localization into account. It also provides support for sizes bigger than
MAXUINT64.

%package devel
Summary:  Development files for libbytesize
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: glib2-devel
Requires: gobject-introspection-devel

%description devel
This package contains header files and pkg-config files needed for development
with the libbytesize library.

%package -n python-%{realname}
Summary: Python 2 GI overrides for libbytesize
Provides: python2-%{realname} = %{version}-%{release}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: python-six
Requires: pygobject3-base

%description -n python-%{realname}
This package contains Python 2 GI overrides for libbytesize making the use of
the library from Python 2 easier and more convenient.

%package -n python3-%{realname}
Summary: Python 3 GI overrides for libbytesize
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: python3-six
Requires: python3-gobject

%description -n python3-%{realname}
This package contains Python 3 GI overrides for libbytesize making the use of
the library from Python 3 easier and more convenient.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{make_install}
find %{buildroot} -type f -name "*.la" | xargs %{__rm}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README.rst
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_libdir}/libbytesize.so.*
%{_libdir}/girepository*/ByteSize*.typelib

%files devel
%{_libdir}/libbytesize.so
%dir %{_includedir}/bytesize
%{_includedir}/bytesize/bs_size.h
%{_libdir}/pkgconfig/bytesize.pc
%{_datadir}/gtk-doc/html/libbytesize
%{_datadir}/gir*/ByteSize*.gir

%files -n python-%{realname}
%{python2_sitearch}/gi/overrides/*

%files -n python3-%{realname}
%{python3_sitearch}/gi/overrides/ByteSize*
%{python3_sitearch}/gi/overrides/__pycache__/ByteSize*

%changelog
* Wed Oct 07 2015 Vratislav Podzimek <vpodzime@redhat.com> - 0.1-1
- Initial release
